Bug 1250573 - configure check fails on s390(x)
configure check fails on s390(x)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: PyQwt (Show other bugs)
23
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tadej Janež
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2015-08-05 09:30 EDT by Dan Horák
Modified: 2016-07-27 09:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 09:28:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2015-08-05 09:30:51 EDT
The configure check in PyQwt fails with

...
Found SIP-4.16.9.
Found 'posix' operating system:
2.7.10 (default, Jul 27 2015, 08:20:43) 
[GCC 5.1.1 20150618 (Red Hat 5.1.1-4)]
Do not get upset by error messages in the next 3 compiler checks:
Check if 'size_t' and 'unsigned int' are the same type:
NO
Check if 'size_t' and 'unsigned long' are the same type:
YES
Check if 'size_t' and 'unsigned long long' are the same type:
NO
Found NumPy-1.9.2.
Failed to import qwt_version_info.
error: Bad exit status from /var/tmp/rpm-tmp.GxCi9a (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.GxCi9a (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.


For full logs please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1928855

I did some investigation earlier and it should be related to some other changes how are the INCLUDES/CPPFLAGS/CFLAGS passed to the consumers, IIRC in the qmake specs (linux-g++ vs linux-g++-64). So might be actually a qmake/qt5 bug.

Version-Release number of selected component (if applicable):
PyQwt-5.2.0-29.fc23
Comment 1 Dan Horák 2016-07-27 09:28:54 EDT
seems fixed in F-24 and up, closing

Note You need to log in before you can comment on or make changes to this bug.